PUT Api/InspectionMgmtInfo/{id}
URI Example
PUT Api/InspectionMgmtInfo/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionMgmtInfoBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| Fabric | string |
None. |
|
| ConstructorValue | string |
None. |
|
| ShortDescription | string |
None. |
|
| BibliographicReferences | string |
None. |
|
| ConstructionPhasesOpA | string |
None. |
|
| ConstructionPhasesOpB | string |
None. |
|
| PreviousActions | string |
Required |
|
| AfterActions | string |
None. |
|
| NumAssetsOfCulturalInterest | integer |
Required |
|
| NumAssetsTypologyAltarpieces | integer |
Required |
|
| NumAssetsTypologyStainedGlasses | integer |
Required |
|
| NumAssetsTypologyPaintings | integer |
Required |
|
| NumAssetsTypologySculptures | integer |
Required |
|
| NumAssetsTypologyDocBibliography | integer |
Required |
|
| NumAssetsTypologyFurnitures | integer |
Required |
|
| NumAssetsTypologyCeramics | integer |
Required |
|
| NumAssetsTypologyGlazedTiles | integer |
Required |
|
| NumAssetsTypologyTextiles | integer |
Required |
|
| NumAssetsTypologyJewellery | integer |
Required |
|
| NumAssetsTypologyMetalWorks | integer |
Required |
|
| NumAssetsTypologyWeapons | integer |
Required |
|
| NumAssetsTypologyScientificInstruments | integer |
Required |
|
| NumAssetsTypologyOthers | integer |
Required |
|
| NumAssetsMaterialStone | integer |
Required |
|
| NumAssetsMaterialCeramics | integer |
Required |
|
| NumAssetsMaterialGlass | integer |
Required |
|
| NumAssetsMaterialWood | integer |
Required |
|
| NumAssetsMaterialMetal | integer |
Required |
|
| NumAssetsMaterialTextile | integer |
Required |
|
| NumAssetsMaterialCanvas | integer |
None. |
|
| NumAssetsMaterialPlasters | integer |
Required |
|
| NumAssetsMaterialOthers | integer |
Required |
|
| MainIntegratedObjects | string |
None. |
|
| ExceptionalIntegratedObjects | string |
None. |
|
| MainMovableObjects | string |
None. |
|
| ExceptionalMovableObjects | string |
None. |
|
| ObjectsBibliographicReferences | string |
None. |
|
| ObjectsOtherObservations | string |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "fabric": "sample string 2", "constructorValue": "sample string 3", "shortDescription": "sample string 4", "bibliographicReferences": "sample string 5", "constructionPhasesOpA": "sample string 6", "constructionPhasesOpB": "sample string 7", "previousActions": "sample string 8", "afterActions": "sample string 9", "numAssetsOfCulturalInterest": 10, "numAssetsTypologyAltarpieces": 11, "numAssetsTypologyStainedGlasses": 12, "numAssetsTypologyPaintings": 13, "numAssetsTypologySculptures": 14, "numAssetsTypologyDocBibliography": 15, "numAssetsTypologyFurnitures": 16, "numAssetsTypologyCeramics": 17, "numAssetsTypologyGlazedTiles": 18, "numAssetsTypologyTextiles": 19, "numAssetsTypologyJewellery": 20, "numAssetsTypologyMetalWorks": 21, "numAssetsTypologyWeapons": 22, "numAssetsTypologyScientificInstruments": 23, "numAssetsTypologyOthers": 24, "numAssetsMaterialStone": 25, "numAssetsMaterialCeramics": 26, "numAssetsMaterialGlass": 27, "numAssetsMaterialWood": 28, "numAssetsMaterialMetal": 29, "numAssetsMaterialTextile": 30, "numAssetsMaterialCanvas": 31, "numAssetsMaterialPlasters": 32, "numAssetsMaterialOthers": 33, "mainIntegratedObjects": "sample string 34", "exceptionalIntegratedObjects": "sample string 35", "mainMovableObjects": "sample string 36", "exceptionalMovableObjects": "sample string 37", "objectsBibliographicReferences": "sample string 38", "objectsOtherObservations": "sample string 39" }
Resource Description
InspectionMgmtInfoResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Fabric | string |
None. |
|
| ConstructorValue | string |
None. |
|
| ShortDescription | string |
None. |
|
| BibliographicReferences | string |
None. |
|
| ConstructionPhasesOpA | string |
None. |
|
| ConstructionPhasesOpB | string |
None. |
|
| PreviousActions | string |
None. |
|
| AfterActions | string |
None. |
|
| NumAssetsOfCulturalInterest | integer |
None. |
|
| NumAssetsTypologyAltarpieces | integer |
None. |
|
| NumAssetsTypologyStainedGlasses | integer |
None. |
|
| NumAssetsTypologyPaintings | integer |
None. |
|
| NumAssetsTypologySculptures | integer |
None. |
|
| NumAssetsTypologyDocBibliography | integer |
None. |
|
| NumAssetsTypologyFurnitures | integer |
None. |
|
| NumAssetsTypologyCeramics | integer |
None. |
|
| NumAssetsTypologyGlazedTiles | integer |
None. |
|
| NumAssetsTypologyTextiles | integer |
None. |
|
| NumAssetsTypologyJewellery | integer |
None. |
|
| NumAssetsTypologyMetalWorks | integer |
None. |
|
| NumAssetsTypologyWeapons | integer |
None. |
|
| NumAssetsTypologyScientificInstruments | integer |
None. |
|
| NumAssetsTypologyOthers | integer |
None. |
|
| NumAssetsMaterialStone | integer |
None. |
|
| NumAssetsMaterialCeramics | integer |
None. |
|
| NumAssetsMaterialGlass | integer |
None. |
|
| NumAssetsMaterialWood | integer |
None. |
|
| NumAssetsMaterialMetal | integer |
None. |
|
| NumAssetsMaterialTextile | integer |
None. |
|
| NumAssetsMaterialCanvas | integer |
None. |
|
| NumAssetsMaterialPlasters | integer |
None. |
|
| NumAssetsMaterialOthers | integer |
None. |
|
| MainIntegratedObjects | string |
None. |
|
| ExceptionalIntegratedObjects | string |
None. |
|
| MainMovableObjects | string |
None. |
|
| ExceptionalMovableObjects | string |
None. |
|
| ObjectsBibliographicReferences | string |
None. |
|
| ObjectsOtherObservations | string |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "fabric": "sample string 2", "constructorValue": "sample string 3", "shortDescription": "sample string 4", "bibliographicReferences": "sample string 5", "constructionPhasesOpA": "sample string 6", "constructionPhasesOpB": "sample string 7", "previousActions": "sample string 8", "afterActions": "sample string 9", "numAssetsOfCulturalInterest": 10, "numAssetsTypologyAltarpieces": 11, "numAssetsTypologyStainedGlasses": 12, "numAssetsTypologyPaintings": 13, "numAssetsTypologySculptures": 14, "numAssetsTypologyDocBibliography": 15, "numAssetsTypologyFurnitures": 16, "numAssetsTypologyCeramics": 17, "numAssetsTypologyGlazedTiles": 18, "numAssetsTypologyTextiles": 19, "numAssetsTypologyJewellery": 20, "numAssetsTypologyMetalWorks": 21, "numAssetsTypologyWeapons": 22, "numAssetsTypologyScientificInstruments": 23, "numAssetsTypologyOthers": 24, "numAssetsMaterialStone": 25, "numAssetsMaterialCeramics": 26, "numAssetsMaterialGlass": 27, "numAssetsMaterialWood": 28, "numAssetsMaterialMetal": 29, "numAssetsMaterialTextile": 30, "numAssetsMaterialCanvas": 31, "numAssetsMaterialPlasters": 32, "numAssetsMaterialOthers": 33, "mainIntegratedObjects": "sample string 34", "exceptionalIntegratedObjects": "sample string 35", "mainMovableObjects": "sample string 36", "exceptionalMovableObjects": "sample string 37", "objectsBibliographicReferences": "sample string 38", "objectsOtherObservations": "sample string 39", "isBlocked": true, "updateDate": "2026-10-29T13:06:28.9689564+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }